@echo off
title Configuration
set maps=01_usa-skirmish\01_usa-overlord 01_usa-skirmish\02_usa-carentan 01_usa-skirmish\03_usa-ardennes 02_ger-skirmish\01_ger-outskirts 02_ger-skirmish\02_ger-sthilaire 02_ger-skirmish\03_ger-marketgarden 03_eng-skirmish\01_eng-battleaxe 03_eng-skirmish\02_eng-torch 03_eng-skirmish\03_eng-bridge 04_rus-skirmish\01_rus-smolensk 04_rus-skirmish\02_rus-koenigsberg 04_rus-skirmish\03_rus-manchuria 05_jap-skirmish\01_jap-khalkhingol 05_jap-skirmish\02_jap-singapore 05_jap-skirmish\03_jap-iwojima
set mapsusa=01_usa-skirmish\01_usa-overlord 01_usa-skirmish\02_usa-carentan 01_usa-skirmish\03_usa-ardennes
set mapsger=02_ger-skirmish\01_ger-outskirts 02_ger-skirmish\02_ger-sthilaire 02_ger-skirmish\03_ger-marketgarden
set mapseng=03_eng-skirmish\01_eng-battleaxe 03_eng-skirmish\02_eng-torch 03_eng-skirmish\03_eng-bridge
set mapsrus=04_rus-skirmish\01_rus-smolensk 04_rus-skirmish\02_rus-koenigsberg 04_rus-skirmish\03_rus-manchuria
set mapsjap=05_jap-skirmish\01_jap-khalkhingol 05_jap-skirmish\02_jap-singapore 05_jap-skirmish\03_jap-iwojima
set players=player_usa player_ger player_eng player_rus player_jap player_cw_usa player_cw_rus player_gsm_usa player_gsm_ger
set enemies=enemy_reinf_usa enemy_reinf_ger enemy_reinf_eng enemy_reinf_rus enemy_reinf_jap enemy_reinf_cw_usa enemy_reinf_cw_rus


:start
cls
echo *********************************
echo *****-=[Select a campaign]=-*****
echo *********************************
echo 1) United States   
echo 2) Germany   
echo 3) Commonwealth   
echo 4) Soviet Union   
echo 5) Japan   
echo 6) All   
echo *********************************
echo 7) Default 
echo 8) Exit
echo *********************************
echo.

set /p var=Select an option [1-8]:
if "%var%"=="1" goto usa
if "%var%"=="2" goto ger
if "%var%"=="3" goto eng
if "%var%"=="4" goto rus
if "%var%"=="5" goto jap
if "%var%"=="6" (
    set mission=all
    goto selectplayer
 )
if "%var%"=="7" (
    set mission=default
    goto work
 )
if "%var%"=="8" goto ext

echo. The number "%var%" is not a valid option, please try again.
echo.
pause
echo.
goto start

:usa
    cls
    echo ********************************
    echo *****-=[Select a mission]=-*****
    echo ********************************
    echo 1) Overlord   
    echo 2) Carentan  
    echo 3) Ardennes   
    echo 4) All   
    echo *********************************
    echo 5) Cancel
    echo *********************************
    echo.

    set /p var=Select an option [1-5]:
    if "%var%"=="1" (
        set mission=01_usa-skirmish\01_usa-overlord
        goto selectplayer
     )
    if "%var%"=="2" (
        set mission=01_usa-skirmish\02_usa-carentan
        goto selectplayer
     )
    if "%var%"=="3" (
        set mission=01_usa-skirmish\03_usa-ardennes
        goto selectplayer
     )
    if "%var%"=="4" (
        set mission=allusa
        goto selectplayer
     )
    if "%var%"=="5" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto usa

:ger
    cls
    echo ********************************
    echo *****-=[Select a mission]=-*****
    echo ********************************
    echo 1) Outskirts   
    echo 2) Sthilaire  
    echo 3) Market Garden   
    echo 4) All   
    echo *********************************
    echo 5) Cancel
    echo *********************************
    echo.

    set /p var=Select an option [1-5]:
    if "%var%"=="1" (
        set mission=02_ger-skirmish\01_ger-outskirts
        goto selectplayer
     )
    if "%var%"=="2" (
        set mission=02_ger-skirmish\02_ger-sthilaire
        goto selectplayer
     )
    if "%var%"=="3" (
        set mission=02_ger-skirmish\03_ger-marketgarden
        goto selectplayer
     )
    if "%var%"=="4" (
        set mission=allger
        goto selectplayer
     )
    if "%var%"=="5" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto ger

:eng
    cls
    echo ********************************
    echo *****-=[Select a mission]=-*****
    echo ********************************
    echo 1) Battle Axe   
    echo 2) Torch  
    echo 3) Bridge   
    echo 4) All   
    echo *********************************
    echo 5) Cancel
    echo *********************************
    echo.

    set /p var=Select an option [1-5]:
    if "%var%"=="1" (
        set mission=03_eng-skirmish\01_eng-battleaxe
        goto selectplayer
     )
    if "%var%"=="2" (
        set mission=03_eng-skirmish\02_eng-torch
        goto selectplayer
     )
    if "%var%"=="3" (
        set mission=03_eng-skirmish\03_eng-bridge
        goto selectplayer
     )
    if "%var%"=="4" (
        set mission=alleng
        goto selectplayer
     )
    if "%var%"=="5" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto eng
   
:rus
    cls
    echo ********************************
    echo *****-=[Select a mission]=-*****
    echo ********************************
    echo 1) Smolensk   
    echo 2) Koenigsberg
    echo 3) Manchuria   
    echo 4) All   
    echo *********************************
    echo 5) Cancel
    echo *********************************
    echo.

    set /p var=Select an option [1-5]:
    if "%var%"=="1" (
        set mission=04_rus-skirmish\01_rus-smolensk
        goto selectplayer
     )
    if "%var%"=="2" (
        set mission=04_rus-skirmish\02_rus-koenigsberg
        goto selectplayer
     )
    if "%var%"=="3" (
        set mission=04_rus-skirmish\03_rus-manchuria
        goto selectplayer
     )
    if "%var%"=="4" (
        set mission=allrus
        goto selectplayer
     )
    if "%var%"=="5" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto rus

:jap
    cls
    echo ********************************
    echo *****-=[Select a mission]=-*****
    echo ********************************
    echo 1) Khalkhingol   
    echo 2) Singapore
    echo 3) Iwojima   
    echo 4) All   
    echo *********************************
    echo 5) Cancel
    echo *********************************
    echo.

    set /p var=Select an option [1-5]:
    if "%var%"=="1" (
        set mission=05_jap-skirmish\01_jap-khalkhingol
        goto selectplayer
     )
    if "%var%"=="2" (
        set mission=05_jap-skirmish\02_jap-singapore
        goto selectplayer
     )
    if "%var%"=="3" (
        set mission=05_jap-skirmish\03_jap-iwojima
        goto selectplayer
     )
    if "%var%"=="4" (
        set mission=alljap
        goto selectplayer
     )
    if "%var%"=="5" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto jap

:selectplayer
    cls
    echo *****************************************
    echo *****-=[Select the player faction]=-*****
    echo *****************************************
    echo 1) United States   
    echo 2) Germany
    echo 3) Commonwealth
    echo 4) Soviet Union 
    echo 5) Japan    
    echo 6) Cold War USA
    echo 7) Cold War RUS
    echo 8) GSM USA
    echo 9) GSM GER
    echo *****************************************
    echo 0) Cancel
    echo *****************************************
    echo.

    set /p var=Select an option [1-8]:
    if "%var%"=="1" (
        set player=player_usa
        goto selectenemy
     )
    if "%var%"=="2" (
        set player=player_ger
        goto selectenemy
     )
    if "%var%"=="3" (
        set player=player_eng
        goto selectenemy
     )
    if "%var%"=="4" (
        set player=player_rus
        goto selectenemy
     )
    if "%var%"=="5" (
        set player=player_jap
        goto selectenemy
     )
    if "%var%"=="6" (
        set player=player_cw_usa
        goto selectenemycw
     )
    if "%var%"=="7" (
        set player=player_cw_rus
        goto selectenemycw
     )
	 
    if "%var%"=="8" (
        set player=player_gsm_usa
        goto selectenemy
     )

    if "%var%"=="9" (
        set player=player_gsm_ger
        goto selectenemy
     )

    if "%var%"=="0" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto selectplayer
	
:cwbeta
    cls
    echo *********************************************************
    echo *********************-=[ATTENTION]=-*********************
    echo *********************************************************
    echo This is a beta feature
    echo For now you can only play as USA (the enemy is RUS)
    echo.
    echo Read the instructions in "README_CW.txt" before proceding
    echo Are you sure you want to continue?
    echo *********************************************************
    echo 1) Yes
    echo 2) No
    echo *********************************************************
    echo.

    set /p var=Select an option [1-7]:
    if "%var%"=="1" (
        set player=player_cw_usa
		set enemy=enemy_reinf_cw_rus
        goto work
     )
    if "%var%"=="2" goto selectplayer

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto cwbeta

:selectenemy
    cls
    echo ****************************************
    echo *****-=[Select the enemy faction]=-*****
    echo ****************************************
    echo 1) United States   
    echo 2) Germany
    echo 3) Commonwealth
    echo 4) Soviet Union 
    echo 5) Japan    
    echo *****************************************
    echo 6) Cancel
    echo *****************************************
    echo.

    set /p var=Select an option [1-6]:
    if "%var%"=="1" (
        set enemy=enemy_reinf_usa
        goto work
     )
    if "%var%"=="2" (
        set enemy=enemy_reinf_ger
        goto work
     )
    if "%var%"=="3" (
        set enemy=enemy_reinf_eng
        goto work
     )
    if "%var%"=="4" (
        set enemy=enemy_reinf_rus
        goto work
     )
    if "%var%"=="5" (
        set enemy=enemy_reinf_jap
        goto work
     )
    if "%var%"=="6" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto selectenemy

:selectenemycw
    cls
    echo ****************************************
    echo *****-=[Select the enemy faction]=-*****
    echo ****************************************
    echo 1) Cold War USA   
    echo 2) Cold War RUS
    echo *****************************************
    echo 3) Cancel
    echo *****************************************
    echo.

    set /p var=Select an option [1-3]:
    if "%var%"=="1" (
        set enemy=enemy_reinf_cw_usa
        goto work
     )
    if "%var%"=="2" (
        set enemy=enemy_reinf_cw_rus
        goto work
     )
    if "%var%"=="3" goto start

    echo. The number "%var%" is not a valid option, please try again.
    echo.
    pause
    echo.
    goto selectenemycw

:work
    cls
    echo ****************************************
    echo **** Working... Ignore the warnings!****
    echo ****************************************
    echo.
    if "%mission%"=="allusa" (
		FOR %%A IN (%mapsusa%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%mapsusa%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="allger" (
	 	FOR %%A IN (%mapsger%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%mapsger%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="alleng" (
	 	FOR %%A IN (%mapseng%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%mapseng%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="allrus" (
	 	FOR %%A IN (%mapsrus%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%mapsrus%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="alljap" (
	 	FOR %%A IN (%mapsjap%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%mapsjap%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="all" (
	    FOR %%A IN (%maps%) DO FOR %%B IN (%players%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %player%
		FOR %%A IN (%maps%) DO FOR %%B IN (%enemies%) DO fart.exe -q resource\map\single\%%A\0.mi %%B %enemy%
        echo. Done!
        echo.
        pause
        goto start
     )

     if "%mission%"=="default" (
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\01_usa-skirmish\01_usa-overlord\0.mi %%A player_usa
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\01_usa-skirmish\01_usa-overlord\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\01_usa-skirmish\02_usa-carentan\0.mi %%A player_usa
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\01_usa-skirmish\02_usa-carentan\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\01_usa-skirmish\03_usa-ardennes\0.mi %%A player_usa
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\01_usa-skirmish\03_usa-ardennes\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\02_ger-skirmish\01_ger-outskirts\0.mi %%A player_ger
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\02_ger-skirmish\01_ger-outskirts\0.mi %%A enemy_reinf_usa
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\02_ger-skirmish\02_ger-sthilaire\0.mi %%A player_ger
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\02_ger-skirmish\02_ger-sthilaire\0.mi %%A enemy_reinf_usa
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\02_ger-skirmish\03_ger-marketgarden\0.mi %%A player_ger
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\02_ger-skirmish\03_ger-marketgarden\0.mi %%A enemy_reinf_usa
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\03_eng-skirmish\01_eng-battleaxe\0.mi %%A player_eng
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\03_eng-skirmish\01_eng-battleaxe\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\03_eng-skirmish\02_eng-torch\0.mi %%A player_eng
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\03_eng-skirmish\02_eng-torch\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\03_eng-skirmish\03_eng-bridge\0.mi %%A player_eng
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\03_eng-skirmish\03_eng-bridge\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\04_rus-skirmish\01_rus-smolensk\0.mi %%A player_rus
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\04_rus-skirmish\01_rus-smolensk\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\04_rus-skirmish\02_rus-koenigsberg\0.mi %%A player_rus
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\04_rus-skirmish\02_rus-koenigsberg\0.mi %%A enemy_reinf_ger
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\04_rus-skirmish\03_rus-manchuria\0.mi %%A player_rus
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\04_rus-skirmish\03_rus-manchuria\0.mi %%A enemy_reinf_jap
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\05_jap-skirmish\01_jap-khalkhingol\0.mi %%A player_jap
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\05_jap-skirmish\01_jap-khalkhingol\0.mi %%A enemy_reinf_rus
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\05_jap-skirmish\02_jap-singapore\0.mi %%A player_jap
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\05_jap-skirmish\02_jap-singapore\0.mi %%A enemy_reinf_eng
		FOR %%A IN (%players%) DO fart.exe -q resource\map\single\05_jap-skirmish\03_jap-iwojima\0.mi %%A player_jap
		FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\05_jap-skirmish\03_jap-iwojima\0.mi %%A enemy_reinf_usa
        echo. Done!
        echo.
        pause
        goto start
     )
	
	FOR %%A IN (%players%) DO fart.exe -q resource\map\single\%mission%\0.mi %%A %player%
	FOR %%A IN (%enemies%) DO fart.exe -q resource\map\single\%mission%\0.mi %%A %enemy%
    echo. Done!
    echo.
    pause
    goto start

:ext
    @cls&exit